StarObjectSpreadsheetInternal::RowContent Class Reference

Internal: structure used to store a row of a StarObjectSpreadsheet. More...

## Public Member Functions

| RowContent ()
| constructor
void | compressItemList ()
| try to compress the item list and create a attribute list

## Public Attributes

std::map< int, std::shared_ptr< Cell > > | m_colToCellMap
| map col -> cell
std::map< STOFFVec2i, std::shared_ptr< StarAttribute > > | m_colToAttributeMap
| map col -> attribute

## Detailed Description

Internal: structure used to store a row of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## RowContent()

StarObjectSpreadsheetInternal::RowContent::RowContent | ( |  | ) |

inline

constructor

## Member Function Documentation

## compressItemList()

void StarObjectSpreadsheetInternal::RowContent::compressItemList | ( |  | ) |

inline

try to compress the item list and create a attribute list

## Member Data Documentation

## m_colToAttributeMap

std::map<STOFFVec2i, std::shared_ptr<StarAttribute> > StarObjectSpreadsheetInternal::RowContent::m_colToAttributeMap

map col -> attribute

Referenced by compressItemList(), and RowContent().

## m_colToCellMap

std::map<int, std::shared_ptr<Cell> > StarObjectSpreadsheetInternal::RowContent::m_colToCellMap

map col -> cell

Referenced by StarObjectSpreadsheetInternal::Table::getCell(), and RowContent().

The documentation for this class was generated from the following file:

- StarObjectSpreadsheet.cxx